hpp-corbaserver: _objref_Gaussian Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Public Member Functions | Protected Member Functions | Friends | List of all members
_objref_Gaussian Class Reference

`#include <hpp/core_idl/configuration_shooters-idl.hh>`

Inheritance diagram for _objref_Gaussian:
[legend]
Collaboration diagram for _objref_Gaussian:
[legend]

## Public Member Functions
void | setCenter (const ::hpp::floatSeq &c)
floatSeq * | getCenter ()
floatSeq * | getSigmas ()
void | setSigmas (const ::hpp::floatSeq &s)
| _objref_Gaussian ()
| _objref_Gaussian (omniIOR *, omniIdentity *)
Public Member Functions inherited from _objref_ConfigurationShooter
void | deleteThis ()
::CORBA::Boolean | deleteIfExpired ()
void | persistantStorage (::CORBA::Boolean persistant)
floatSeq * | shoot ()
| _objref_ConfigurationShooter ()
| _objref_ConfigurationShooter (omniIOR *, omniIdentity *)

## Protected Member Functions
virtual | ~_objref_Gaussian ()
Protected Member Functions inherited from _objref_ConfigurationShooter
virtual | ~_objref_ConfigurationShooter ()

## Friends
class | Gaussian

## Constructor & Destructor Documentation

## ◆ _objref_Gaussian() [1/2]

_objref_Gaussian::_objref_Gaussian | ( |  | ) |
| inline

## ◆ _objref_Gaussian() [2/2]

_objref_Gaussian::_objref_Gaussian | ( | omniIOR * | ,
|  | omniIdentity * |
| ) |  |

## ◆ ~_objref_Gaussian()

virtual _objref_Gaussian::~_objref_Gaussian | ( |  | ) |
| protected virtual

## Member Function Documentation

## ◆ getCenter()

floatSeq* _objref_Gaussian::getCenter | ( |  | ) |

## ◆ getSigmas()

floatSeq* _objref_Gaussian::getSigmas | ( |  | ) |

## ◆ setCenter()

void _objref_Gaussian::setCenter | ( | const ::hpp::floatSeq & | c | ) |

## ◆ setSigmas()

void _objref_Gaussian::setSigmas | ( | const ::hpp::floatSeq & | s | ) |

## Friends And Related Function Documentation

## ◆ Gaussian

friend class Gaussian
| friend

The documentation for this class was generated from the following file:

- src/hpp/core_idl/configuration_shooters-idl.hh